[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# AnsiEndsStr

Check whether a string ends with a certain substring

## Declaration

Source position: strutils.pp line 50

`function AnsiEndsStr(`
`const ASubText: string;`
`const AText: string`
`):Boolean;`

## Arguments

`ASubText` |  | Substring to check for.
`AText` |  | Text to check the end of

## Function result

True if the string ends on the substring, False otherwise.

## Description

AnsiEndsStr checks AText to see whether it ends with ASubText, and returns True if it does, False if not. The check is performed case-sensitive. Basically, it checks whether the position of ASubText equals the length of AText minus the length of ASubText plus one.

## Errors

None.

## See also

AnsiEndsText |  | Check whether a string ends with a certain substring, ignoring case.
AnsiStartsStr |  | Check whether a string starts with a given substring, observing case
AnsiIndexStr |  | Searches, observing case, for a string in an array of strings.
AnsiContainsStr |  | Checks whether a string contains a given substring